GNU bug report logs - #55403
29.0.50; quit-window may select an inactive minibuffer window

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: miha@HIDDEN; Keywords: moreinfo; Done: martin rudalics <rudalics@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 55403 <at> debbugs.gnu.org and miha@HIDDEN Request was from martin rudalics <rudalics@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 18 May 2022 09:16:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 05:16:10 2022
Received: from localhost ([127.0.0.1]:59033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrFms-0005QS-Iy
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 05:16:10 -0400
Received: from mout.gmx.net ([212.227.17.21]:34631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1nrFmn-0005Pe-FX; Wed, 18 May 2022 05:16:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1652865359;
 bh=GlogszjeUXvC+fFTZuiR2W/1hs/JZlWXP+VT3QDkAbY=;
 h=X-UI-Sender-Class:Date:Subject:To:References:From:In-Reply-To;
 b=YprEsm8JKqvNnjgZdb8EQP2MXdo7sdZQXxJ9Vjb0d379jtw/DIcn19b577LyESYzd
 xNbgeB19kvaXsfrKUrammT6zVAvlA0dwQWUewsCk5qgyZT7/HrJbRER0zbyOp4I4pc
 jkeIIzzM4FcebKgWrXa2ftSOgb/PNg4qwyoxz9yE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.19]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Msq6C-1nbmGV0Mxc-00tFdy; Wed, 18
 May 2022 11:15:59 +0200
Message-ID: <8cb93af5-6c40-493d-3bfa-e00a3257b779@HIDDEN>
Date: Wed, 18 May 2022 11:15:56 +0200
MIME-Version: 1.0
Subject: Re: bug#55403: 29.0.50; quit-window may select an inactive minibuffer
 window
Content-Language: en-US
To: miha@HIDDEN, 55403 <at> debbugs.gnu.org
References: <875ym9glmv.fsf@miha-pc>
 <cc9a7673-74e1-281c-9aa7-3a2968c9f034@HIDDEN> <87zgjkfpn1.fsf@miha-pc>
From: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <87zgjkfpn1.fsf@miha-pc>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:lLNM6Sf5gJ99ljsssQR6yRT7rDUNDXJ1xnjheEsODux5YSNlVlY
 DEZixWs4WYElB6qQgxr+BZ7a+Nsmsl4KwJPjheqrRlZVtPXrOs47Er3u4ZY73Th8yZZ/iqL
 Dde7VzTFI+5F0vwY5n0LI+PbCvMdh6WnREF82V7WDzKOJTQ2TWdXTOdulEtA2m+4U9T40HR
 NvX6R4p7eA8YV+RfSm6gQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:LvUYrB49lo8=:fNs1edm++Oo3tSa0o2ZFGw
 gJhiuzk1qSjV8J/xqQIpOl6xWZ+3yctMqgWmibIHalU6/BdrUHSVJ+Kl1rAZbZlOgBHrbQlY0
 zwqCwvoWFrfpHXj5qthMsrbr735Bif5wrN4wmunIUXKBku8dTSTdzKIjYzmsdksDVP7F3yldF
 6Imt7jaC/iX9I5MatNrfAnNSb2PHO3LZruxpsqd1Eo8SpprKRBdyPCg6rrADsOnRitX86TL7k
 FTbjUFdIJdH6agzObrTqozRlI66cg8Lck5NGzAybSRuzqt4Dsm6HmDoDg+5m/rFSagmZzvm9x
 kbP3RVOoDH1UvhXLkZf7bFg6uKjfBx0T2j8cNoe5chnItBwbPULqNtzfnwjIyFZmMKb7LL2lP
 duNTHw7RgOx6eFzDK1lN/bfFv6UULdL9TzATJD92wHTZx+li9dLIh6dcc8w/Dhvzez2tQQe4f
 aiscOr3aFOMjBbViWKl69k0uUFqme8C8D7mF8OVY4GtFTjBdfMYcMCTLX9EOq/q/+SNSokFrP
 GKU5TFJ7Me075CuIy/KZAdPtpmIIirYz1xW72VNHaUPEaNIWOJ3StZ+CsGMxxRpEGpmMHE9rv
 EmgOu6pN05dakmcqxWwmlgSi+xfB6wOAIKNd3x8GFSL3BYTBNXhlIfzxsKqR4KHJDtyZV3bGg
 QaQBDQ/zl0ryy3YLPNXH6AkHX1GZmh+YbclJzsR1sI1SQR8tQU3RfFxWtdVTYe8PMSHHyuf/L
 SRs9Ykr9ayNW8sSqGUbnF8/MdqMNnJRk6BgkFCM4/sIr93YA0DpQ+P5lVzFb9Ftu6VIL466Jb
 WIOFn/szlhS6mL1QOFtS2DuodCnWBvxejTGsB8V2dEt7bfWkiT+UkFzNP0gNm3E7bgc8sdZnm
 cUZTyxndjG3hHmm7EQ6m4wGzNpzso9CnPmCX4z6b2GL76shfeuzNY6dLXfLkItZsjyN3EzH4W
 YTj+FMTk6AJjvmlvLOtrZbG5VfF08hNd7njEap5xCg03fRir/GXDwiQqbhfsb54cg5+9/s8cy
 q1OmORhEG+Qc84pUUqnzlr/lDCVQxoNCDBxtt3fdEdReEUq2EFcAhN87KgBJwmbE4D7POPZ12
 zSNExIm/fjQ3UBG1nDXLuGUTOfd52v56sVJYVGlc3ZXegvQI+ynDXNNjw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55403
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

close 55403 29.1
quit

 >> I checked in a fix.  Please try again with current master.
 >
 > Thanks, it works perfectly.

Thanks for checking.  Closing this bug.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 14 May 2022 08:58:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 04:58:15 2022
Received: from localhost ([127.0.0.1]:45736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npnbL-0000Ye-0h
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 04:58:15 -0400
Received: from kamnitnik.top ([209.250.245.214]:40934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miha@HIDDEN>) id 1npnbJ-0000YW-K9
 for 55403 <at> debbugs.gnu.org; Sat, 14 May 2022 04:58:14 -0400
From: <miha@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=kamnitnik.top;
 s=mail; t=1652518692;
 bh=YMtFM3gpumoGAzq2ywcY2/D1QGM+de6ZngTucxDHqSw=;
 h=From:To:Subject:In-Reply-To:References:Date:From;
 b=yM5vrLBITZiZAt1vA19gxARUnAe5OmHhkKW0P8xSGlDi+4vEYY3KwJcKs+pYxoXtt
 GwiEudegH9CkcTpN6R+3YR/D/ruhGaKCxbBQsipAdu4Q6yPZmEqpI+WgTtJw5/fAj1
 GYZsGVXfbmkhHRIpvAtXyOsfMd2mVeQLcNpVookPDjS9K080gsnrRqXbBuXUbovnaK
 f+nFUVbDltC0wU55IPzu79CY+XcXs7n0h/nwGp2lHlytKzLlR9q7c3PfuPhUcNsy8/
 FvgiszN/dYyIpGXcrF+jnOPJ4QRwjWSXeUuierwSwwplMATzCeWx9Bv4klcXF8jclr
 4yrqRW09wyBsA==
To: martin rudalics <rudalics@HIDDEN>, 55403 <at> debbugs.gnu.org
Subject: Re: bug#55403: 29.0.50; quit-window may select an inactive
 minibuffer window
In-Reply-To: <cc9a7673-74e1-281c-9aa7-3a2968c9f034@HIDDEN>
References: <875ym9glmv.fsf@miha-pc>
 <cc9a7673-74e1-281c-9aa7-3a2968c9f034@HIDDEN>
Date: Sat, 14 May 2022 11:08:02 +0200
Message-ID: <87zgjkfpn1.fsf@miha-pc>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  martin rudalics <rudalics@HIDDEN> writes: > > emacs -q: >
 > > > (setq read-minibuffer-restore-windows nil) > > M-x, to open a minibuffer
 > > C-h b, to display a help buffer from this minibuffer > > C-g, to quit
 the minibuffer > > C-x C-o, to [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: kamnitnik.top (top)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55403
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  martin rudalics <rudalics@HIDDEN> writes: > > emacs -q: >
   > > > (setq read-minibuffer-restore-windows nil) > > M-x, to open a minibuffer
    > > C-h b, to display a help buffer from this minibuffer > > C-g, to quit
    the minibuffer > > C-x C-o, to [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: kamnitnik.top (top)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

martin rudalics <rudalics@HIDDEN> writes:

>  > emacs -q:
>  >
>  > (setq read-minibuffer-restore-windows nil)
>  > M-x, to open a minibuffer
>  > C-h b, to display a help buffer from this minibuffer
>  > C-g, to quit the minibuffer
>  > C-x C-o, to select the window showing the help buffer
>
> C-x o, supposedly.

Yep, sorry.

>  > q, (quit-window) will select the inactive minibuffer window
>
> I checked in a fix.  Please try again with current master.

Thanks, it works perfectly.

> Thanks, martin

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJHBAEBCAAxFiEEmxVnesoT5rQXvVXnswkaGpIVmT8FAmJ/cXITHG1paGFAa2Ft
bml0bmlrLnRvcAAKCRCzCRoakhWZP+5XD/0XnK1I0MSG1gtWEGPhg9xfWE1gRXr8
+P156vgNdAttSOXH0K2d0XK22HjxMZm90Dgp4RXnbvI32LHnkp+OoFoHcE5oQirW
rCJ+X+Bl7q1JqUm0QpuuhIU+YZ71YpeZZQb5RlSw3Hjbp/qqP+1C2te/86zEZYh4
GZ+mF5DEftdFe4HtLSYSARjnG1u6/+WgQv0ooiImSgM5ONh2M8Wp/tjsGElu/VvD
h3pKlprx9PlE3B+oRff5sdMuxtjI03yCwdVo/4L0F0FXTfINf7DltbXHOfswtNYK
xEyJtZrOaXw12AApqc52fjahnr+1MAij4VCP8vGhciMyhkVzgmkA315XDF8TwDp4
2C08e34Xm9aXAN86WEbqJmmTfQAiD9yyUBtmZ3L1dSfP47rYKaWLgzlk5jr16097
GgglNYblO7viaqHA1R1M/Wtvs/6QDLQKrqDfK3DZMjq8EveH9f8N93suBGoYSvU6
nhAHe03LXKMv4d7iesGlKZko3AI70csAZkFZr9yhpmfpMT/zXsRCPf+/4CAuOLGT
OkOuPWYiXgwUFsWadNsCO/SJI4HRLmkKQRUZOrA7QqEQ6W+Sl2CY9S9xFY3hL8l1
vqntUD9j8mGrlDESDK8UH0QhU9z7rUoOOQWZQ5wIuykLcAd5Vy9inlJBj0TvsTAc
CxAYWBg94SCdpQ==
=axit
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 14 May 2022 07:56:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 03:56:08 2022
Received: from localhost ([127.0.0.1]:45689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npmdE-0004xN-0d
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 03:56:08 -0400
Received: from mout.gmx.net ([212.227.15.19]:34023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1npmdC-0004wq-C7
 for 55403 <at> debbugs.gnu.org; Sat, 14 May 2022 03:56:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1652514960;
 bh=BNyEd7+VI8FVwoZI/vHNpy8B8qN6otQdcwdvYeS2cDo=;
 h=X-UI-Sender-Class:Date:Subject:From:To:References:In-Reply-To;
 b=e811hOnAVrtgBitJOgGSKsCiOMqS3Te+8wG0iXK6CBiKPxWygSVvIyE3xbJq0znQF
 CGnhaBEv7IiGzl0tbshhI2sXDQyEhmDZZI/GBiEey9UR2vLVS9w9fRKpafXeDrn8K0
 KbONHOUfiI6IUYUxszHbGf591pBCypsK5UVF37w4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.97]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MqJqD-1oB51f0cwF-00nSqM; Sat, 14
 May 2022 09:56:00 +0200
Message-ID: <0025438e-a4d5-cf9f-9e0b-042621c92336@HIDDEN>
Date: Sat, 14 May 2022 09:55:56 +0200
MIME-Version: 1.0
Subject: Re: bug#55403: 29.0.50; quit-window may select an inactive minibuffer
 window
Content-Language: en-US
From: martin rudalics <rudalics@HIDDEN>
To: miha@HIDDEN, 55403 <at> debbugs.gnu.org
References: <875ym9glmv.fsf@miha-pc>
 <cc9a7673-74e1-281c-9aa7-3a2968c9f034@HIDDEN>
In-Reply-To: <cc9a7673-74e1-281c-9aa7-3a2968c9f034@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
X-Provags-ID: V03:K1:SS5fqex1hrmptW2L3UAhm9F0wB+VvSWtl8WjV5qj08586GN4XrW
 POz5TYuEt0IVjVQpkjfWGOXYxPHbtVAaVd+u4Rccvzczy3FS2S5rSgu4tTD0Bgf3BL5JgY2
 i9eVv2WbYfmdMCrwO8YIgeSWPkWrBQnZM7uljzdCtxKQ5u7j7dJbUUodAzi6CRLOAdIqRy8
 HRl09jOp5BPyv9ZkhCyXQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:D7SeaypnOa8=:vAGRcGB9rQrrR+flvGdgnA
 fzE6dBdfzYQ2vXkXXUB2CnuwzIDG/PLTG8VVLuPGgiU4adCy47fr3XCCozqMB1Q1NeP+2Rx9W
 G0pusu/08Ly8wPIsD27XDcc6wGuXR4rQepVwpb1kT98eqCD4CoXyAMZi7QdD6jttPLA6/3KEN
 DYm5Ikka7/ezN9fZcOntvKMB/5CgsPiS8uPrK+v0qTVOYZv7YMKau6BrkHewf1FgUBZwJYIq/
 kceb7h9icVXTWyk6uNOkqlkez6ld6hjdHveu5fohOUQI1GNR4WP3RaapE1+Tu7+1U7CCtU3ce
 H2RZh6gBOQrx+cFfxcoUNt5l794yrIKb/+QNJHfx6lAYAoV1K+anI+RuBtPO09PjrUjLgdwa+
 pFh5svS/Q3O19Us8Oyjh6IEvJivMh/u3IWgT6moNfDdhlURnDxubPjD4mExg20x8OuH4xmlWU
 zzbjgp8W+L4cIIdiKQVzL3DMY4NagFVczvSklruimODgy+Bh7Inh3kYJxINlgeVs2RrDo3q79
 gTbeiBqiuNgDkKbsE0QiNBo026l8qUOIWwCrL1zxGSt1p5LIBjTkpQwwJyGhqpbKtTaFvL4sN
 jBMmCrew4bg2PO+mUDYYqT2fpSwhXoB5wocrTl5IaINTAtSscNMR2pamIGi/v6YmmDjUPUL3c
 8ZkNNm9GVEk5F2p7V3EL/+5LekEY/zla8rZRmbO1GEVDxCnFKO2J14+ft5PJkiY5QNkOcBBwP
 81cPFJ5P4QgKevt+ZqVzGs28Hz8s7HiJgrR93BXAnwp7QJhawTZGRw+RijlIAVA47lOqO5UBm
 T2bFMUQ1+70BVZ4ZxOxg6p9TW0H+JsZcF/NpUST4GqeesM/Loqe8vcvxS3ZQvDAq3XiDAgUu4
 YQz5rLFAcTndt7G8lTC0aOQOQM3tur00o2lvApDIpX/a/ujGIVow3jNBxQVw9w2vBDiHET7MF
 o5qnk9s7onKVkTGOBl9qg5Qt1VUZWbIxWGGqDb9MAegpH5cRNhNSvliOFkYxV+A/enbBgwfoa
 vngo2wQMLFkNr3p/c7QbPKFp4YL56Ng2WwFHgC0+JbCKyi130PCfTkBa0Yr4dhNe+OM22U0ak
 XzjYnxEoQdoyd28l2oYq4yHtgVW/RJbA77vsJGkVcFFzv9lfIf35lN4PQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55403
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

PiBJIGNoZWNrZWQgaW4gYSBmaXguwqAgUGxlYXNlIHRyeSBhZ2FpbiB3aXRoIGN1cnJlbnQg
bWFzdGVyLg0KDQpTb3JyeSBmb3IgbWVzc2luZyB1cCB0aGUgdGl0bGUgb2YgdGhlIGNvbW1p
dCBtZXNzYWdlLg0KDQptYXJ0aW4NCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 14 May 2022 07:48:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 03:48:33 2022
Received: from localhost ([127.0.0.1]:45681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npmVt-0004jt-1O
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 03:48:33 -0400
Received: from mout.gmx.net ([212.227.15.15]:47641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1npmVr-0004jb-PD
 for 55403 <at> debbugs.gnu.org; Sat, 14 May 2022 03:48:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1652514505;
 bh=WoCoUwGkGLHbJfk66vgfdqjZsWLGUgnj+ODl88xZz14=;
 h=X-UI-Sender-Class:Date:Subject:To:References:From:In-Reply-To;
 b=GBKVCk6afscMnNSe1jd+x49llk22NTa44cQ9W9PBSBDQ8TmA1Pn5AUG1aQfwtCYXT
 NcfRvRskbg+Rfmb1lho9yOLCicadml+fp2pBHC+7s3bcZai5VuNLv1dYomoR4SbuDY
 p4IBgkZ9s/1FVNe6Tb8V5p2eChRWiU5A4cJWwTqk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.97]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MRCOE-1nSanU43pE-00N79C; Sat, 14
 May 2022 09:48:25 +0200
Message-ID: <cc9a7673-74e1-281c-9aa7-3a2968c9f034@HIDDEN>
Date: Sat, 14 May 2022 09:48:22 +0200
MIME-Version: 1.0
Subject: Re: bug#55403: 29.0.50; quit-window may select an inactive minibuffer
 window
Content-Language: en-US
To: miha@HIDDEN, 55403 <at> debbugs.gnu.org
References: <875ym9glmv.fsf@miha-pc>
From: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <875ym9glmv.fsf@miha-pc>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:lEbn8M4nAFJMvJGXJAQcm22gnpK4J8ApXWgrzX7uyXSoFr821eB
 iyhE1qbF75jGGwgirdH04OWlM37GVU0d4xQducXnFM9zTRyJ8OyY91S//lrQfriQl3UDrl/
 t7uxykz2vsQc7IfnwneJ0Wvk4uKvcY6nEqr+LJgIfVhXf0Bd9EOdDQYOyA0Rknv+TTSdomt
 9ym116VPl0Khs/FUvRvOQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Frss8AMmeV0=:M84g2d6XqMPYUBLmE8/5mg
 zaLMdck6OwIy/7VA5QAXB7ZyLilT0f+x4/Wf3+j3G/42MnJyXUhHVa7IqquBgM5iqTzHwWFgc
 Cw4A9btu+OBEWGaZij4R3SNDw8O9/uKBMMrpanjKwMYd9ZCLpEH3GCrUrDbyTZmaqqA5N6Ug4
 gWJrjjK8JJajEyCZTRjugl1MBnvRzfnUvH7eBstvbVDCQcgbv6pW3K3N6ca2RhQFIMWXMiheY
 zrayxH9DpGx8wmlWjQ3zeB16LZvR49z9m8yKK1QgKyFtNwH/NtoMyXuKWvsDp+azaU3e5dgZq
 tSdLXwA0qDEu2zlVmtyB/r4GlgliCDSwRSlg0Zh3iTtZ03CN4U57lpX8GfDkWY0lyKOxPwZp8
 jtBZTiNrNre0D4epk1NSdBmbg+MZpJe55kNgHkta9CHh/yAmEBk1CGh6CO+WQG3pjA/Mkn6s2
 6GCjaWa6IDH0fjrdLgpfg2Oo6FdsELDG+2malyRPgDRjQ/EDEe6UXXmZygpQW5hVz+Vf74q9G
 T2O+fN5bLTZsCe/g60sWElI8QpdA+y8Tdw4Jw2UUu4mE1MgltFlbKWe294kW0NGCM5PrDV0pg
 6XdkijNDivm9XPzhOzLahKdpW0PBTVg85lw7J/QJW8e7dAyY2l3Roboj8YLuRWnCeiUUjF/pS
 0GLl05L/ELFoEx3Bu2DUlzEfQvyENB4mTbyv/Cf4Gk6d2P2Z0EPD4e7iVxyTnOX/A4ZcdSXJH
 edLq7NrULBb2tl7RXeXo6Eeu5zH5xGEykuKUYne7++Y1oQVcxHdczNA8Q+YM49AzxaqYEOQRN
 tFNdxXNe4CBKtD5+BwuNgti9a43ilGlSwo/5PcZ3m64MZqHS/ES/RqwV9of4RY5cai87seIrE
 z2HW5+VNYcIWW2Lz7vfXDd1YxPmQGWlfpFUw3B1+kauY2fHLp7djP4IaVmy6eX2L214TtXYVw
 pr/090w8ZhZibeCPOj3LndzjdeJ2jsNrF6W+VVmoVxs9W2XzpVVKhXVSX9kcudEbMBrAKeXCY
 OBlG5L0OLoyqeEV6qtGU3Hs3VlkK8GkIMjvWHo68HpMJGuiEvQgh4nEECgGZFCBqDs1xgyWsL
 llvY3BDsJgSdIs=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55403
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > emacs -q:
 >
 > (setq read-minibuffer-restore-windows nil)
 > M-x, to open a minibuffer
 > C-h b, to display a help buffer from this minibuffer
 > C-g, to quit the minibuffer
 > C-x C-o, to select the window showing the help buffer

C-x o, supposedly.

 > q, (quit-window) will select the inactive minibuffer window

I checked in a fix.  Please try again with current master.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 14 May 2022 07:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 03:07:35 2022
Received: from localhost ([127.0.0.1]:45632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nplsF-0003Th-Fw
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 03:07:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nplsE-0003TR-Jv
 for 55403 <at> debbugs.gnu.org; Sat, 14 May 2022 03:07:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50882)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1npls8-0001YP-OS; Sat, 14 May 2022 03:07:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=C6PtdJddxeRIByaZ0Grp9fu3L7kewdeKdmOWhlCz5u8=; b=CegLjkNFUYHC
 7ifePLEc6VyhzOrz+lQNRWyOEm/rCkZD1OkYYDkpuoWucwampp/O46lScU0Jq7YwiWJmCWo4CouHu
 J/evLYd+c7OB4DpCU1s2VWnBKc9q8xhY9IKqTXhg0tYjiWVXHM2nLbpg/o8Bf9pUc1cbGgHjv7eCo
 BcnrWgFhOiODa/7GojMPgIexcPmZslPLfKC+ea3zVRZ55WHncwLPMHM26G4oWL+6KB5zL8VzWmP8r
 HVuWUJm0SHPMzlzEy9KZ0fdfJ/NMP2Lg3Kd/8qOo516zs6Whfd8lE0lxt2o1n/IHHE/gQTGrAKKIX
 7V/q2Jk1kcYjXoK6v0+UmA==;
Received: from [87.69.77.57] (port=4325 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1npls8-0003p6-6g; Sat, 14 May 2022 03:07:28 -0400
Date: Sat, 14 May 2022 10:07:24 +0300
Message-Id: <83r14wlhhv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: <miha@HIDDEN>
In-Reply-To: <8735hchaz6.fsf@miha-pc> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#55403: 29.0.50;
 quit-window may select an inactive minibuffer window
References: <875ym9glmv.fsf@miha-pc> <8735hcn855.fsf@HIDDEN>
 <8735hchaz6.fsf@miha-pc>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55403
Cc: larsi@HIDDEN, 55403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 55403 <at> debbugs.gnu.org
> Date: Sat, 14 May 2022 08:41:49 +0200
> From: miha--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> >> emacs -q:
> >>
> >> (setq read-minibuffer-restore-windows nil)
> >> M-x, to open a minibuffer
> >> C-h b, to display a help buffer from this minibuffer
> >> C-g, to quit the minibuffer
> >> C-x C-o, to select the window showing the help buffer
> >> q, (quit-window) will select the inactive minibuffer window
> >
> > I'm unable to reproduce this on the current trunk.
> 
> It's not entirely obvious that an inactive minibuffer window is selected
> because the point is not immediately visible. Perhaps try to press C-n
> at the end of the recipe, which makes the point visible, and see that
> the mini-window is indeed selected.

I can reproduce in today's master, but "C-x C-o" should be "C-x o",
right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 14 May 2022 06:32:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 02:32:04 2022
Received: from localhost ([127.0.0.1]:45602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nplJs-0002Ne-3r
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 02:32:04 -0400
Received: from kamnitnik.top ([209.250.245.214]:40498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miha@HIDDEN>) id 1nplJp-0002NE-CZ
 for 55403 <at> debbugs.gnu.org; Sat, 14 May 2022 02:32:02 -0400
From: <miha@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=kamnitnik.top;
 s=mail; t=1652509920;
 bh=zf++nOmdxQ40Tk/4Ur6qsyduMCeaFde7r8wrwZiHI7g=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=NwYHcsSK9FN6z7l/4Z0rgbwyT3UYHfdVyNRCGfr8zn29JTrkowChiHHrcV0NXTv7T
 djoscxpL4nbg1BiJIqTh6aB5s1T7hifrE04rJR5PZaGNuDl5+FMPTr2kk4tBmIJmwT
 GnoJeCUCTs+/46gBMRxoc7dnmTfVR04A9K0l0amAJ+TnpvqVda/w4SJWB2mh9QihcT
 lCii0mPDg4nIlgUYGjj7m4wKKbKl4IlN1KipxF7yO1UgGJ8yun9vp4ZI6YKUtBm3d8
 oacVRnwH2BT4yCTGp4W+zPz9gFUaIgqRzCJWjiFxwXEt4x74vydNGR85kAdv4fnkWm
 NiL/ilvYLGGzA==
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55403: 29.0.50; quit-window may select an inactive
 minibuffer window
In-Reply-To: <8735hcn855.fsf@HIDDEN>
References: <875ym9glmv.fsf@miha-pc> <8735hcn855.fsf@HIDDEN>
Date: Sat, 14 May 2022 08:41:49 +0200
Message-ID: <8735hchaz6.fsf@miha-pc>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >
 miha@HIDDEN
 writes: > >> emacs -q: >> >> (setq read-minibuffer-restore-windows nil) >>
 M-x, to open a minibuffer >> C-h b,
 to display a help buffer from this minibuffer
 >> C-g, to quit the mi [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: kamnitnik.top (top)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 55403
Cc: 55403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > miha@HIDDEN
    writes: > >> emacs -q: >> >> (setq read-minibuffer-restore-windows nil) >>
    M-x, to open a minibuffer >> C-h b, to display a help buffer from this minibuffer
    >> C-g, to quit the mi [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: kamnitnik.top (top)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> miha@HIDDEN writes:
>
>> emacs -q:
>>
>> (setq read-minibuffer-restore-windows nil)
>> M-x, to open a minibuffer
>> C-h b, to display a help buffer from this minibuffer
>> C-g, to quit the minibuffer
>> C-x C-o, to select the window showing the help buffer
>> q, (quit-window) will select the inactive minibuffer window
>
> I'm unable to reproduce this on the current trunk.

It's not entirely obvious that an inactive minibuffer window is selected
because the point is not immediately visible. Perhaps try to press C-n
at the end of the recipe, which makes the point visible, and see that
the mini-window is indeed selected.

>> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
>>  of 2022-04-20 built on miha-pc
>> Repository revision: 4714f34928c12cc9ebda7c115526db4aa87c0d51
>
> It looks like you're running an older build (and that revision doesn't
> seem to be present in the Emacs git repo).  Can you try updating and
> seeing whether you can still see this problem?

I could reproduce the recipe on the current master as well, with the
following build details:

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
 of 2022-05-14 built on miha-pc
Repository revision: 004c2ced6e1eb71a54ea58e78c714ae69e215f63
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Arch Linux

Configured using:
 'configure --prefix=/usr --without-libsystemd'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG
RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11
XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
cl-extra seq gv subr-x byte-opt bytecomp byte-compile cconv noutline
outline easy-mmode kmacro facemenu two-column help-mode cl-loaddefs
cl-lib iso-transl tooltip eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice simple cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
emacs)

Memory information:
((conses 16 64245 5504)
 (symbols 48 6214 1)
 (strings 32 17431 1851)
 (string-bytes 1 567178)
 (vectors 16 12086)
 (vector-slots 8 172429 11492)
 (floats 8 29 43)
 (intervals 56 7239 279)
 (buffers 992 12))


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJHBAEBCAAxFiEEmxVnesoT5rQXvVXnswkaGpIVmT8FAmJ/Ty0THG1paGFAa2Ft
bml0bmlrLnRvcAAKCRCzCRoakhWZP+lfD/9hoPcgrrVo1ISlo2X/mEPSsuUMJ7Y+
GEZlaJBzuOd4RQ6JgapwfL0IjQhdHLltYpJC9zztz8wVoiFf9UpDnF40DOFRpLTP
Ohgxz8c38+9S1O3XkvC1KAZqWy3EwR8cSSE2PpRcAT2XeszAzaYBSgMuYLbfe3ls
AaA9ysT1zdzB3bcbSeQKY+1d+Q4G5/8v1Tig7OGrXVfHtnWJpWvdOgtRuayDfh3d
5aSdKsDNzqMfTz7OzLgWnT3tCYWbBZQforDqpwvkIPA57y+AXPjajQrY4cOLC2K1
ONrQNXi7n5ajguQztwuX3xMzzJMyq63plgCR5KXVlHQKMJwwJK3f6XJ2NHbxGS8v
7Hby79YyMcGNt1fn22AGQkFxupDDDze9843Jv8xUM/g3doIF1KWiTfiYQUGTIDXZ
+Ilo2MytYwqPR/THyXKcVE09tA1UAuzx381jBShUrlGEk+oMFRdYjSRYPdBSCPsR
rgVkcJ0PT4s6E4WQW1bZ9lFb4l4RJAJETZEnh5ZN5rOO0qGzV7N7nEdFuawsks6y
g001RrPx7/VtX3WTaRZhenQBliJ/wjxLVllQHK0UZfgEaHQRnVnJ59zWGWbIDt1A
BpTo9EkreYfoxCIog2JGWjD6rhtLZj5jXO3srU84qMlUGv3k4yZeLhljy75BzAkp
sHYZNZ1BFcb7Kw==
=3UjX
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55403 <at> debbugs.gnu.org:


Received: (at 55403) by debbugs.gnu.org; 14 May 2022 02:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 22:46:45 2022
Received: from localhost ([127.0.0.1]:45415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nphnp-0001Ua-LK
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 22:46:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nphnn-0001UG-O0
 for 55403 <at> debbugs.gnu.org; Fri, 13 May 2022 22:46:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Rhr4oZsAX78s4YYN24pLYvscVX8MxScjgf/Sk6KWcoY=; b=dBzzr7MhcKutd3jV13B3uLCu4u
 hqq0Pz2fuqy0wpIcqmJzpmmwizXLSJwHOqtoSaQtQDlPPbJo/jsLdBUszVefYUgnAYNWHmfazYxjq
 6d3MkFHbok1HcXJ6mM9lt99/CWTfpiDs0PJPESgdcWppxWJypZSXhn2d5+5CdN0ivfQQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nphnc-0007Qc-7W; Sat, 14 May 2022 04:46:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: miha@HIDDEN
Subject: Re: bug#55403: 29.0.50; quit-window may select an inactive
 minibuffer window
References: <875ym9glmv.fsf@miha-pc>
X-Now-Playing: Ministry's _Twelve Inch Singles (Expanded Edition)_: "All Day
 =?utf-8?Q?=2812=E2=80=9D?= Single 1984)"
Date: Sat, 14 May 2022 04:46:30 +0200
In-Reply-To: <875ym9glmv.fsf@miha-pc> (miha@HIDDEN's message of "Fri,
 13 May 2022 23:36:56 +0200")
Message-ID: <8735hcn855.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: miha@HIDDEN writes: > emacs -q: > > (setq
 read-minibuffer-restore-windows
 nil) > M-x, to open a minibuffer > C-h b, to display a help buffer from this
 minibuffer > C-g, to quit the minibuffer > C-x C-o, to select the win [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55403
Cc: 55403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

miha@HIDDEN writes:

> emacs -q:
>
> (setq read-minibuffer-restore-windows nil)
> M-x, to open a minibuffer
> C-h b, to display a help buffer from this minibuffer
> C-g, to quit the minibuffer
> C-x C-o, to select the window showing the help buffer
> q, (quit-window) will select the inactive minibuffer window

I'm unable to reproduce this on the current trunk.

> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
>  of 2022-04-20 built on miha-pc
> Repository revision: 4714f34928c12cc9ebda7c115526db4aa87c0d51

It looks like you're running an older build (and that revision doesn't
seem to be present in the Emacs git repo).  Can you try updating and
seeing whether you can still see this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2022 21:27:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 17:27:15 2022
Received: from localhost ([127.0.0.1]:45192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npcod-0004Hm-Il
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 17:27:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:41898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miha@HIDDEN>) id 1npcoc-0004Hf-Bo
 for submit <at> debbugs.gnu.org; Fri, 13 May 2022 17:27:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38154)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <miha@HIDDEN>)
 id 1npcoc-0007da-6E
 for bug-gnu-emacs@HIDDEN; Fri, 13 May 2022 17:27:14 -0400
Received: from kamnitnik.top ([2001:19f0:5001:bf2:5400:2ff:fee0:2626]:47748)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <miha@HIDDEN>)
 id 1npcoa-0002cL-AH
 for bug-gnu-emacs@HIDDEN; Fri, 13 May 2022 17:27:13 -0400
From: miha@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=kamnitnik.top;
 s=mail; t=1652477228;
 bh=R6N5e/Lo19CMWavAS/BX51UfI4snzA5KpiBrN+pKl48=;
 h=From:To:Subject:Date:From;
 b=vbGB6s/zISKre7+E+WNjUDU0RHBRnrY2AwKrGNy7WtJazqsKaoJtHXc/+9TFhDoDx
 BMc2qPgKFxU9go3JsRk9xrFb2WQ6TR5nL1/EQbP5xk0jMa4VqA5KNY0WKFq1oVEZjl
 OwRmSkeCWPFZYqXWcstO+VfZJt/4/C6+RuZDQ2/ycJ9WMouxaFNUR9gdTZ7EdJ+tuw
 4aFBX0Gq+0p+al6+2feZmQNEYKNYVtfRXRq6kOB/G6JKgHF+/Mz5lTJ9moqaH61Cy2
 1Vmlh0qUtshVkvjXIDUmsFJ9wHRCFIuEnCCIaoFmiXgegu+qiizl/VqYipEPFyqsco
 Yr1EulQB9FE3A==
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; quit-window may select an inactive minibuffer window
Date: Fri, 13 May 2022 23:36:56 +0200
Message-ID: <875ym9glmv.fsf@miha-pc>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2001:19f0:5001:bf2:5400:2ff:fee0:2626;
 envelope-from=miha@HIDDEN; helo=kamnitnik.top
X-Spam_score_int: 24
X-Spam_score: 2.4
X-Spam_bar: ++
X-Spam_report: (2.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.499,
 FROM_SUSPICIOUS_NTLD_FP=1.997, PDS_OTHER_BAD_TLD=1.997, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  In my experience, customizing read-minibuffer-restore-windows
 to nil works mostly fine,
 thanks for the option. The only problem I've personally
 encountered is in the following case: emacs -q: (setq
 read-minibuffer-restore-windows
 nil) M-x, to open a minibuffer C-h b, to display a help buffer from this
 minibuffer C-g, to quit the minibuffer C-x C-o, to select the window showing
 the help buf [...] 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=miha%40kamnitnik.top; ip=209.51.188.17; r=debbugs.gnu.org]
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: kamnitnik.top (top)]
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain

In my experience, customizing read-minibuffer-restore-windows to nil
works mostly fine, thanks for the option. The only problem I've
personally encountered is in the following case:

emacs -q:

(setq read-minibuffer-restore-windows nil)
M-x, to open a minibuffer
C-h b, to display a help buffer from this minibuffer
C-g, to quit the minibuffer
C-x C-o, to select the window showing the help buffer
q, (quit-window) will select the inactive minibuffer window

Best regards.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.17.6)
 of 2022-04-20 built on miha-pc
Repository revision: 4714f34928c12cc9ebda7c115526db4aa87c0d51
Repository branch: tmp
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Artix Linux

Configured using:
 'configure --without-libsystemd --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
abbrev obarray oclosure cl-preloaded button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 59282 11257)
 (symbols 48 5734 0)
 (strings 32 16447 944)
 (string-bytes 1 548085)
 (vectors 16 11787)
 (vector-slots 8 271542 17553)
 (floats 8 21 25)
 (intervals 56 335 0)
 (buffers 992 11))

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJHBAEBCAAxFiEEmxVnesoT5rQXvVXnswkaGpIVmT8FAmJ+z3gTHG1paGFAa2Ft
bml0bmlrLnRvcAAKCRCzCRoakhWZP/ynEAC6TWAKDYZFUhV/wUz8NGm/MUDrsUXR
AwI+Q99wyi2XoS5+X62nl8JBuH8TRR5tVj3KeLgEPjTrOpdQsqweB5AcCeulkxb7
xpdTY1XgSHGRNIfIz5FTd51wdbMt4TIuzDchLURN/wvENn0Xq0SQ9pXySRfDaxw0
uYBSfEq1nyBCaAwcsPND1HlBZnSFJC3pbxTJXkO6exUlLRsfXiKm7zmlDvVzBP8E
9ppqxaTyCh5dLlYB54yCcRGGGfolrXpyab9l+wMN6izFBYIOfmfTTxQd5hV1HWJW
boxbw6hrcSWGnZ5IVVyLnBlhJgMcZXHzsFHfCorxJ+6LvQzQT6Ahd/gZnVKkqajZ
XeDqRkxR8qy3w4YdOhWlwsIza4im7jvgluOVYELXkXWKY3+AxX+lVEBnvW2RHjes
PDHmpFzq+XDKH3f3nx5sA9Ho7hq7AN9brknj+7LRLgvPDbXCfaF9WaOftT3cXo42
ZIl0vrPwFSvkPModgRLYdAue3IT977YC2A1tbkpo+O/gyzSxhtMMMHt6y6sVPmG4
jFR9/liTeuzjq4sixEvbMI8Wawmu+p74xDOwFXj+G97kNb/IKXx2GmvjBNfyfOhQ
uookSqPeSMTAkxFT8fq7iM4tdqM8cwVOQPTnqW5birCmta828rywc0Mo6AQkbC7Z
zPgbLqadLRzrkA==
=Nheo
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to miha@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55403; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.